Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class ConsultLegalReferenceType

    java.lang.Object
      be.fgov.ehealth.dics.core.v3.reimbursementlaw.submit.LegalReferenceKeyType
          be.fgov.ehealth.dics.protocol.v3.ConsultLegalReferenceType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConsultRecursiveLegalReferenceType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:09+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultLegalReferenceType

extends LegalReferenceKeyType
implements Serializable

Java class for ConsultLegalReferenceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultLegalReferenceType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v3:reimbursementlaw:submit}LegalReferenceKeyType">
           <sequence>
             <element name="Title" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType"/>
             <element name="Type" type="{urn:be:fgov:ehealth:dics:core:v3:reimbursementlaw:submit}LegalReferenceTypeType"/>
             <element name="FirstPublishedOn" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="LastModifiedOn" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="LegalReferenceTrace" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultLegalReferenceTraceType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v3}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultLegalReferenceType()`

Method Summary
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`org.joda.time.DateTime` | `getFirstPublishedOn()` Gets the value of the firstPublishedOn property.
`org.joda.time.DateTime` | `getLastModifiedOn()` Gets the value of the lastModifiedOn property.
`List<ConsultLegalReferenceTraceType>` | `getLegalReferenceTraces()` Gets the value of the legalReferenceTraces property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`ConsultTextType` | `getTitle()` Gets the value of the title property.
`String` | `getType()` Gets the value of the type property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setFirstPublishedOn(org.joda.time.DateTime value)` Sets the value of the firstPublishedOn property.
`void` | `setLastModifiedOn(org.joda.time.DateTime value)` Sets the value of the lastModifiedOn property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setTitle(ConsultTextType value)` Sets the value of the title property.
`void` | `setType(String value)` Sets the value of the type property.

Methods inherited from class be.fgov.ehealth.dics.core.v3.reimbursementlaw.submit.LegalReferenceKeyType
`getKey, setKey`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultLegalReferenceType

    public ConsultLegalReferenceType()

Method Detail

### getTitle

    public ConsultTextType getTitle()

  Gets the value of the title property.

  Returns:
    possible object is `ConsultTextType`

### setTitle

    public void setTitle(ConsultTextType value)

  Sets the value of the title property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### getFirstPublishedOn

    public org.joda.time.DateTime getFirstPublishedOn()

  Gets the value of the firstPublishedOn property.

  Returns:
    possible object is `String`

### setFirstPublishedOn

    public void setFirstPublishedOn(org.joda.time.DateTime value)

  Sets the value of the firstPublishedOn property.

  Parameters:
    `value` - allowed object is `String`

### getLastModifiedOn

    public org.joda.time.DateTime getLastModifiedOn()

  Gets the value of the lastModifiedOn property.

  Returns:
    possible object is `String`

### setLastModifiedOn

    public void setLastModifiedOn(org.joda.time.DateTime value)

  Sets the value of the lastModifiedOn property.

  Parameters:
    `value` - allowed object is `String`

### getLegalReferenceTraces

    public List<ConsultLegalReferenceTraceType> getLegalReferenceTraces()

  Gets the value of the legalReferenceTraces property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the legalReferenceTraces property.

  For example, to add a new item, do as follows:

          getLegalReferenceTraces().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultLegalReferenceTraceType`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.